function [DBscore]=DavisBoldwin(data,label);

K = max(label(:)); % numero clusters
for k=1:K
    n(k) = sum(double(label==k));
    mu(k,:)= mean(data(label==k,:)); % calcolo centroide 
    
    esq(k)=0;
    good = find(label==k);
    for i=1:n(k)
        scarto= double(data(good(i),:))-mu(k,:); % calcolo errore medio   
        esq(k)=esq(k)+scarto*scarto';
    end
end
DBscore=0;
for k=1:K
    for kk=1:K
        dm(k,kk)=norm(mu(k,:)-mu(kk,:));
        Rjk(k,kk)= (sqrt(esq(k))+sqrt(esq(kk)))/dm(k,kk);
        Rjk(isinf(Rjk))=0;
        
    end
    Rk(k)=max(Rjk(k,:));
    DBscore=DBscore+Rk(k);
end
DBscore=DBscore/K;
        

